WordPress.org

Support

Support » Plugins and Hacks » Backup Plugin problem in 2.0 : database error

Backup Plugin problem in 2.0 : database error

  • Hello !

    I have finally managed to upgrade my test blog but, as I trie the backup plugin, I have this message :

    ‘blockquote’WordPress database error: [Incorrect database name ‘e.l.m’]
    SHOW TABLE STATUS FROM e.l.m

    Warning: Invalid argument supplied for foreach() in /var/www/sdb/a/e/e.l.m/blogotest/wp-content/plugins/wp-db-backup.php on line 788 ‘/blockquote’

    And, in fact, when I try to restore that file, my posts are completely “unreadable” (is it correct in English ?) with 2 out of 5 characters changed.

    I had done also another backup using the phpmyadmin process and, that, way, it worked fine.

    Any idea ?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Am I correct in assuming that your database is called e.l.m? I’ve done some trials and I can’t get mysql to accept databases with periods . in them anywhere. Try renaming your database to remove the periods and try again.

    You’re correct in assuming that !
    Just one thing : I have tried to rename it, through phpmyadmin, into elm but have had an error :

    “Erreur
    requête SQL:

    CREATE DATABASE elm ;

    MySQL a répondu:

    #1044 – Access denied for user ‘e.l.m’@’212.27.63.202’ to database ‘elm’ “

    Ah. You don’t have the priveledges to create or rename databases. You should email your host and get them to do it for you.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Backup Plugin problem in 2.0 : database error’ is closed to new replies.
Skip to toolbar